Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Layer löschen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Layer löschen (181 mal gelesen)
Cynabal
Mitglied
Techniker Maschinenbau


Sehen Sie sich das Profil von Cynabal an!   Senden Sie eine Private Message an Cynabal  Schreiben Sie einen Gästebucheintrag für Cynabal

Beiträge: 20
Registriert: 16.11.2017

SW 2014 + SP3 // Win7

erstellt am: 04. Dez. 2018 11:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

meine suche für folgendes Problem blieb ohne Erfolg.

Ich habe eine Zeichnungsvorlage in der sich nun mehr 255 Layer befinden. Ich möchte diese (oder auch alle) löschen.
Zur Verfügung steht mir nur das Layer-Menü in dem ich jeden Layer einzeln löschen muss. Das ist nicht Zielführend, da ich auch weitere Zeichnungen korrigieren muss.
Einen Befehl "LayerMgr.DeleteLayer" habe ich gefunden. Dieser lässt sich aber nicht ausführen, weil er nicht gefunden wird. Ist die Kommandozeile oben rechts standardmäßig aktiv? Denn ich habe auch weitere Befehle nie geunden...

(SW2014 auf Win7)

Hat jemand eine zündende Idee?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Westphal
Mitglied
Ingenieurbüro für SOLIDWORKS


Sehen Sie sich das Profil von Andreas Westphal an!   Senden Sie eine Private Message an Andreas Westphal  Schreiben Sie einen Gästebucheintrag für Andreas Westphal

Beiträge: 223
Registriert: 26.06.2000

Schulungen und Dienstleistungen seit 1997
Dell Precision M6800
32 GB RAM
NVIDEA Quadro K3100M
WIN10 prof. X64
SOLIDWORKS 2016, 2017, 2018

erstellt am: 04. Dez. 2018 11:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Cynabal 10 Unities + Antwort hilfreich

Meinst du das SOLIDWORKS Suchfeld oben rechts?
Damit kann man Befehle suchen oder Dateien oder Infos in der Hilfe.
Es ist aber keine Kommandozeile.

------------------
Andreas Westphal
SOLIDWORKS zertifiziert

Ing.-Büro Westphal

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 651
Registriert: 18.05.2005

SolidWorks 2018 x64 SP4.0
Dell T3600 Workstation
Intel XENON 6x3.2 GHz
NVIDIA Quadro 4000 2 GB
16GB RAM
2x Dell U2412M, 24" TFT
Windows 7 Professional x64 SP1
Microsoft Office Pro 2010 SP2
Kaspersky Anti-Virus 10.2.4.674
Microsoft VB 2010 Express
SpacePilot von 3Dconnexion

erstellt am: 04. Dez. 2018 12:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Cynabal 10 Unities + Antwort hilfreich

Die DeleteLayer Methode ist eine API-Funktion, die kannst du z.B. in einem Makro verwenden.

Macro, how to delete layers?

Code:
Sub main()
    Dim swApp As SldWorks.SldWorks
    Dim doc As ModelDoc2
    Dim lyrMgr As LayerMgr
    Dim v As Variant
    Dim i As Integer
    Dim count As Integer
    Set swApp = Application.SldWorks
    Set doc = swApp.ActiveDoc
    Set lyrMgr = doc.GetLayerManager
    count = lyrMgr.GetCount
    v = lyrMgr.GetLayerList
    For i = 1 To count - 1
        lyrMgr.DeleteLayer (v(i))
    Next i
End Sub

------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Cynabal
Mitglied
Techniker Maschinenbau


Sehen Sie sich das Profil von Cynabal an!   Senden Sie eine Private Message an Cynabal  Schreiben Sie einen Gästebucheintrag für Cynabal

Beiträge: 20
Registriert: 16.11.2017

SW 2014 + SP3 // Win7

erstellt am: 04. Dez. 2018 13:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

BINGO!

Das hat funktioniert. Muss wohl einen Fehler bei einem anderem Makro gemacht haben.

Vielen Dank 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Westphal
Mitglied
Ingenieurbüro für SOLIDWORKS


Sehen Sie sich das Profil von Andreas Westphal an!   Senden Sie eine Private Message an Andreas Westphal  Schreiben Sie einen Gästebucheintrag für Andreas Westphal

Beiträge: 223
Registriert: 26.06.2000

Schulungen und Dienstleistungen seit 1997
Dell Precision M6800
32 GB RAM
NVIDEA Quadro K3100M
WIN10 prof. X64
SOLIDWORKS 2016, 2017, 2018

erstellt am: 04. Dez. 2018 19:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Cynabal 10 Unities + Antwort hilfreich

Meinst du das SOLIDWORKS Suchfeld oben rechts?
Damit kann man Befehle suchen oder Dateien oder Infos in der Hilfe.
Es ist aber keine Kommandozeile.

------------------
Andreas Westphal
SOLIDWORKS zertifiziert

Ing.-Büro Westphal

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz